1. agents
SkipCalls Public API
  • users
    • Get current user profile
    • Sync contacts from mobile device
    • Delete all contacts
    • Get all contacts
    • Update contact
    • Get a single contact with stats
    • Find duplicate contacts
    • Merge two duplicate contacts
    • Search contacts
    • Import contacts from CSV or JSON file
    • Get tag statistics for autocomplete
    • Advanced search in contacts by name, company, and tags
    • List notes for a customer (newest first)
    • Add a note to a customer
    • Get unified timeline for a customer
    • Update a customer note
    • Delete a customer note
    • Update custom fields on a customer
  • Calendars
    • List booked appointments
    • Get upcoming appointments for widget
    • Get appointment statistics
    • Get a single appointment
    • Hide/delete an appointment from the list
  • calls
    • Transcribe audio (for chat)
    • Schedule a new call
    • Cancel a scheduled call by ID
    • Get call details
    • Copy a call
    • Get call history
    • Search calls
    • Search outgoing calls only
    • Rate a call
    • Drop a call immediately by ID
    • Add call to favorites
    • Remove call from favorites
    • Update call notes
  • incoming-calls
    • Get incoming call history
    • Search incoming calls only
    • Get incoming call details
    • Delete an incoming call
    • Block the caller phone number from this incoming call
    • Unblock the caller phone number from this incoming call
    • Drop an incoming call immediately by ID
    • Add incoming call to favorites
    • Remove incoming call from favorites
  • agents
    • Create a new agent
      POST
    • Get all not deleted agents for the current user
      GET
    • Get all public agents
      GET
    • Get a specific agent by ID
      GET
    • Update an agent
      PATCH
    • Delete an agent
      DELETE
    • Toggle an agent active status
      PATCH
    • Reset an agent to dashboard defaults
      POST
    • Get agent change history
      GET
    • Create agent evaluation
      POST
    • Get agent evaluations
      GET
    • Update agent evaluation
      PATCH
    • Delete agent evaluation
      DELETE
    • Create agent data collection
      POST
    • Get agent data collections
      GET
    • Update agent data collection
      PATCH
    • Delete agent data collection
      DELETE
    • Connect calendar to agent
      POST
    • Get agent connected calendars
      GET
    • Duplicate an agent-calendar link (virtual calendar)
      POST
    • Update calendar settings
      PATCH
    • Disconnect calendar from agent
      DELETE
    • Create or update widget embed configuration
      POST
    • Get widget embed configuration
      GET
    • Disable widget embed
      DELETE
    • Regenerate embed key
      POST
    • Get all transfer numbers for an agent
      GET
    • Add a new transfer number to an agent
      POST
    • Update a transfer number
      PATCH
    • Delete a transfer number
      DELETE
    • List all tasks available to user (global + custom)
      GET
    • Create a custom task definition
      POST
    • Delete a custom task definition
      DELETE
    • List call scenarios for an agent
      GET
    • Create a call scenario for an agent
      POST
    • Reorder call scenarios for an agent
      PATCH
    • Update a call scenario
      PATCH
    • Delete a call scenario
      DELETE
    • List enabled tasks for an agent
      GET
    • Enable a task on an agent
      POST
    • Disable a task on an agent
      DELETE
  • email-receptionist
    • Get email receptionist settings for an agent
    • Create or update email receptionist settings for an agent
  • contact-actions
    • Schedule an outbound call to a contact
    • Send an SMS to a contact
  • Schemas
    • UserProfileSubscriptionDto
    • UserProfileResponseDto
    • UserTrialResponseDto
    • UserStatsResponseDto
    • UserPhoneResponseDto
    • GetUserProfileResponseDto
    • ContactDto
    • SyncContactsDto
    • BasicResponseDto
    • DeleteContactsDto
    • UpdateContactDto
    • ContactStatsDto
    • ContactLatestNoteDto
    • ContactItemResponseDto
    • MergeContactDataDto
    • MergeContactsDto
    • PaginationDto
    • ContactAggregationsDto
    • ContactSearchResponseDto
    • ImportContactsDto
    • ImportContactsResponseDto
    • TagStatDto
    • TagStatsResponseDto
    • AdvancedSearchDto
    • AddCustomerNoteDto
    • UpdateCustomerNoteDto
    • AppointmentAgentDto
    • AppointmentCalendarDto
    • AppointmentResponseDto
    • AppointmentsListResponseDto
    • AppointmentStatsDto
    • NumberAgentDto
    • NumberItemDto
    • TranscribeDto
    • TranscribeResponseDto
    • ScheduleCallDto
    • TransactionDto
    • RoleplayTranscriptMetadataDto
    • RoleplayTranscriptDto
    • SchemaFieldValidationsDto
    • CalculatedFieldDto
    • SchemaFieldDto
    • ToolDto
    • AgentToolDto
    • DataCollectionResultDto
    • DataCollectionResponseDto
    • EvaluationResultDto
    • EvaluationResponseDto
    • FlowStructureDto
    • AgentEmailAddressDto
    • AgentDto
    • VoiceMailMessagesDto
    • CallAnalysisDto
    • CallFollowUpDto
    • TaskDto
    • TaskResultDto
    • CallDto
    • BaseCallResponseDto
    • BaseUnsuccessfulCallResponseDto
    • CallSimpleResponseDto
    • CopyCallDto
    • CallHistoryResponseDto
    • SearchCallResultDto
    • SearchCallsResponseDto
    • RateCallDto
    • UpdateCallNotesDto
    • DataCollectionDto
    • EvaluationDto
    • CallBookingDto
    • IncomingCallDto
    • IncomingCallHistoryResponseDto
    • BlockCallerResponseDto
    • FlowStructure
    • CreateAgentDto
    • AgentValidationDto
    • UpdateAgentDto
    • AgentAuditLogEntryDto
    • AgentAuditHistoryResponseDto
    • CreateAgentEvaluationDto
    • UpdateAgentEvaluationDto
    • CreateAgentDataCollectionDto
    • UpdateAgentDataCollectionDto
    • CreateAgentCalendarDto
    • DuplicateAgentCalendarDto
    • UpdateAgentCalendarDto
    • CreateWidgetConfigDto
    • WidgetConfigResponseDto
    • CreateTransferNumberDto
    • TransferNumberResponseDto
    • UpdateTransferNumberDto
    • TaskDefinitionDto
    • CreateCustomTaskDto
    • AgentScenarioResponseDto
    • CreateAgentScenarioDto
    • ReorderAgentScenariosDto
    • UpdateAgentScenarioDto
    • AgentTaskLinkDto
    • EnableTaskDto
    • EmailReceptionistSettingsResponseDto
    • UpdateEmailReceptionistSettingsDto
    • ScheduleCallFromContactDto
    • SendSmsFromContactDto
  1. agents

Disconnect calendar from agent

DELETE
/agents/{id}/calendars/{calendarId}
Removes the link between the agent and the calendar. Agent stops checking availability or booking events on this calendar. The underlying calendar itself is preserved. Use when replacing calendars or removing booking capability.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE '/agents//calendars/' \
--header 'Authorization: Bearer <token>'
Modified at 2026-07-23 18:02:16
Previous
Update calendar settings
Next
Create or update widget embed configuration
Built with